Orgs Connections
Get the WhatsApp Business account overview
Account info, health, messaging limit, billing state and recent account activity, read through a Redis cache.
GET
/
orgs
/
{org_id}
/
connections
/
{connection_id}
/
whatsapp
/
account
Get the WhatsApp Business account overview
curl --request GET \
--url https://api.useinvent.com/orgs/{org_id}/connections/{connection_id}/whatsapp/account \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.useinvent.com/orgs/{org_id}/connections/{connection_id}/whatsapp/account"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.useinvent.com/orgs/{org_id}/connections/{connection_id}/whatsapp/account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"waba_id": "<string>",
"activity": [
{
"id": "<string>",
"field": "<string>",
"at": 123,
"data": {}
}
],
"business_id": "<string>",
"name": "<string>",
"status": "<string>",
"business_verification_status": "<string>",
"health": {
"can_send_message": "<string>",
"entities": [
{
"entity_type": "<string>",
"id": "<string>",
"can_send_message": "<string>",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
],
"additional_info": [
"<string>"
]
}
]
},
"currency": "<string>",
"timezone_id": "<string>",
"country": "<string>",
"ownership_type": "<string>",
"messaging_limit": "<string>",
"funding_attached": true,
"purchase_order_number": "<string>"
}Authorizations
Bearer token authentication using your API key
Path Parameters
The ID of the org
The ID of the connection
Query Parameters
Response
200 - application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
Previous
List WhatsApp QR codesList the QR codes and prefilled messages of a WhatsApp phone number, read through a Redis cache.
Next
⌘I
Get the WhatsApp Business account overview
